//bridge-file-version: #0
{
	"namespace": "hud",
	"jpg1_anim": {
		"anim_type": "alpha",
		"duration": 3,
		"anchor_from": "top_middle",
		"anchor_to": "top_middle",
		"from": 0,
		"to": 1.5,
		"next": "@time"
	},
	"time": {
		"anim_type": "alpha",
		"duration": 18,
		"next": "@br"
	},
	"br": {
		"anim_type": "alpha",
		"from": 1.5,
		"to": 0
	},
	"jpg1": {
		"type": "image",
		"texture": "textures/ui/UIB",
		"layer": 30,
		"$fit_to_width": true,
		"size": [
			"100%",
			"100%"
		],
		"fill": true
	},
	"jpg2_anim": {
		"anim_type": "alpha",
		"destroy_at_end": "start",
		"duration": 6,
		"from": 0,
		"to": 0,
		"next": "@view"
	},
	"view": {
		"anim_type": "alpha",
		"duration": 3,
		"from": 0,
		"to": 1.5,
		"next": "@pop"
	},
	"pop": {
		"anim_type": "alpha",
		"easing": "in_expo",
		"duration": 7,
		"next": "@slide_in"
	},
	"slide_in": {
		"anim_type": "offset",
		"duration": 2,
		"from": [
      		0,
      		0
    		],
    		"to": [
      		0,
      		78
    		],
		"next": "@remove"
	},
	"remove": {
		"anim_type": "alpha",
		"easing": "in_expo",
		"duration": 3,
		"from": 1.5,
		"to": 0
	},
	"jpg2": {
		"type": "image",
		"texture": "textures/ui/UIT",
		"layer": 50,
		"$fit_to_width": true,
		"size": [
			"100%",
			"100%"
		],
		"fill": true
	},
	"jpg3_anim": {
		"anim_type": "alpha",
		"duration": 10,
		"anchor_from": "top_middle",
		"anchor_to": "top_middle",
		"from": 0,
		"to": 0,
		"next": "@view2"
	},
	"view2": {
		"anim_type": "alpha",
		"duration": 3,
		"from": 0,
		"to": 1.5,
		"next": "@pop2"
	},
	"pop2": {
		"anim_type": "alpha",
		"easing": "in_expo",
		"duration": 7,
		"next": "@slide_in2"
	},
	"slide_in2": {
		"anim_type": "offset",
		"duration": 2,
		"from": [
      		0,
      		0
    		],
    		"to": [
      		255,
      		0
    		],
		"next": "@remove2"
	},
	"remove2": {
		"anim_type": "alpha",
		"easing": "in_expo",
		"duration": 3,
		"from": 1.5,
		"to": 0
	},
	"jpg3": {
		"type": "image",
		"texture": "textures/ui/UIT2",
		"layer": 50,
		"$fit_to_width": true,
		"size": [
			"100%",
			"100%"
		],
		"fill": true
	},
	"WMT_anim": {
		"anim_type": "alpha",
		"duration": 20,
		"anchor_from": "top_middle",
		"anchor_to": "top_middle",
		"from": 0,
		"to": 0,
		"next": "@WMV"
	},
	"WMV": {
		"anim_type": "alpha",
		"easing": "out_cubic",
		"duration": 3,
		"anchor_from": "top_middle",
		"anchor_to": "top_middle",
		"from": 0,
		"to": 1.5
	},
	"WMT": {
		"type": "image",
		"texture": "textures/ui/WMT",
		"layer": 80,
		"$fit_to_width": true,
		"size": [
			"100%",
			"100%"
		],
		"fill": true
	},
	"sr1": {
		"anim_type": "alpha",
		"easing": "in_expo",
		"duration": 6,
		"from": 0,
		"to": 0.7,
		"sound_volume": 0.4,
		"next": "@sr2"
	},
	"sr2": {
		"anim_type": "alpha",
		"easing": "in_expo",
		"duration": 6,
		"from": 0.7,
		"to": 0,
		"sound_volume": 0.2,
		"next": "@sr1"
	},
	"suffocate_render": {
    		"type": "image",
		"texture": "textures/ui/green_mist",
		"layer": 70,
    		"$fit_to_width": true,
		"size": [
			"101%",
			"100%"
		],
		"fill": true,
		"bindings": [
			{
				"binding_name": "(#bossName = '§4Warning')",
				"binding_type": "collection",
        		"binding_collection_name": "boss_bars",
				"binding_name_override": "#visible"
			}
		]
  	},
	"hud_content": {
		"type": "panel",
		"controls": [
			{
				"jpg1@hud.jpg1": {
					"offset": "@jpg1_anim"
				}
			},
			{
				"jpg2@hud.jpg2": {
					"offset": "@jpg2_anim"
				}
			},
			{
				"jpg3@hud.jpg3": {
					"offset": "@jpg3_anim"
				}
			},
			{
				"test@hud.test": {
					"offset": "@test_anim"
				}
			},
			{
				"suffocate_render@hud.suffocate_render": {
					"offset": "@sr1"
				}
			},
			{
				"root_panel@hud.root_panel": {}
			},
			{
				"camera_renderer@camera_renderer": {}
			}
		]
	}
}